﻿-- =================================
-- 02 - Složený insert
-- =================================

-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_region_soudrznosti;

-- Vytvoříme tabuku
create table ui_region_soudrznosti
(kod integer primary key,
 nazev text not null unique,
 stat_kod integer not null,
 nuts_lau char(4) not null unique,
 plati_od date not null,
 plati_do date,
 datum_vzniku date not null);

 -- Zadáme příkaz insert
 insert into ui_region_soudrznosti
 (kod,nazev,stat_kod,nuts_lau,plati_od,datum_vzniku)
 values
(60,'Jihovýchod',1,'CZ06',to_date('1.4.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(35,'Jihozápad',1,'CZ03',to_date('24.3.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(86,'Moravskoslezsko',1,'CZ08',to_date('31.3.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(19,'Praha',1,'CZ01',to_date('31.3.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(51,'Severovýchod',1,'CZ05',to_date('22.3.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(43,'Severozápad',1,'CZ04',to_date('29.3.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(78,'Střední Morava',1,'CZ07',to_date('22.3.2016 0:00','DD.MM.YYY'),to_date('1.1.2001 0:00','DD.MM.YYYY')),
(27,'Střední Čechy',1,'CZ02',to_date('1.4.2016 0:00','DD.MM.YYYY'),to_date('1.1.2001 0:00','DD.MM.YYYY'))
returning *; 
 
