﻿-- =================================
-- 05 - import přes pg_restore
-- =================================

-- NESPOUŠTĚT SLOUŽÍ POUZE PRO ILUSTRACI !!!!!!

-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_okres;

-- Vytvoříme tabuku
create table ui_okres
(kod integer primary key,
 nazev text not null unique,
 vusc_kod integer not null,
 kraj_1960 integer not null,
 nuts_lau char(6) not null,
 plati_od text not null,
 plati_do text,
 datum_vzniku text not null);

 -- \copy ui_okres from 'c:/temp/ui_okres.csv' with delimiter ';' csv header;

 -- 1. Vytvoříme nové sloupce v tabulce
 -- (Třetí sloupec protože neobsahuje data budeme s nim dělat jinak.)
 alter table ui_okres add column plati_od1 date;
 alter table ui_okres add column datum_vzniku1 date;


 -- Aktualizujeme data
update ui_okres
  set plati_od1 = to_date(plati_od,'DD.MM.YYYY'),
      datum_vzniku1 = to_date(datum_vzniku,'DD.MM.YYYY');

      
 -- Zkontrolujeme vypisem
 select * from ui_okres;

-- Vymazeme puvodni sloupce
alter table ui_okres drop column plati_od;
alter table ui_okres drop column plati_do;
alter table ui_okres drop column datum_vzniku;

-- Prejmenujeme nove vytvorene sloupce
 alter table ui_okres rename column plati_od1 to plati_od;
 alter table ui_okres rename column datum_vzniku1 to datum_vzniku;

 -- Vytvorime novy sloupec plati_do
 alter table ui_okres add column plati_do date;

-- Doplnime not null pro zabespeceni integrity dat
alter table ui_okres alter column plati_od set not null;
alter table ui_okres alter column datum_vzniku set not null;




-- Zrušíme tabulku v případě, že již existuje
drop table if exists ui_kraj_1960;

-- Vytvoříme tabuku
create table ui_kraj_1960
(kod integer primary key,
 nazev text not null unique,
 stat_kod integer not null,
 plati_od text not null,
 plati_do text,
 datum_vzniku text not null);

-- 1. Vytvoříme nové sloupce v tabulce
 -- (Třetí sloupec protože neobsahuje data budeme s nim dělat jinak.)
 alter table ui_kraj_1960 add column plati_od1 date;
 alter table ui_kraj_1960 add column datum_vzniku1 date;


 -- Aktualizujeme data
update ui_kraj_1960
  set plati_od1 = to_date(plati_od,'DD.MM.YYYY'),
      datum_vzniku1 = to_date(datum_vzniku,'DD.MM.YYYY');

 -- Vymazeme puvodni sloupce
alter table ui_kraj_1960 drop column plati_od;
alter table ui_kraj_1960 drop column plati_do;
alter table ui_kraj_1960 drop column datum_vzniku;

-- Prejmenujeme nove vytvorene sloupce
 alter table ui_kraj_1960 rename column plati_od1 to plati_od;
 alter table ui_kraj_1960 rename column datum_vzniku1 to datum_vzniku;

 -- Vytvorime novy sloupec plati_do
 alter table ui_kraj_1960 add column plati_do date;

-- Doplnime not null pro zabespeceni integrity dat
alter table ui_kraj_1960 alter column plati_od set not null;
alter table ui_kraj_1960 alter column datum_vzniku set not null;

-- Prikaz pro restore
-- C:\temp>pg_restore --host=147.251.147.82 --username=test --dbname=test c:\temp\05_zaloha_tar.backup