﻿-- ===============================
-- 07_dblink
-- ===============================

/*

-- Muze vytvorit pouze superuser nad databazi 

CREATE EXTENSION dblink;

*/

-- realizace dotazu
SELECT *
FROM dblink('dbname=referenci port=5432 host=147.251.147.82 user=test password=test'::text, 'select 
kod,nazev,orp_kod,spravni_obec_kod,plati_od,plati_do,datum_vzniku from ui_pou'::text) t(
  kod integer,
  nazev text,
  orp_kod integer,
  spravni_obec_kod integer,
  plati_od date,
  plati_do date,
  datum_vzniku date);

-- Mozno vytvorit lokalni kopii
drop table if exists ui_orp;
create table ui_orp
as
SELECT *
FROM dblink('dbname=referenci port=5432 host=147.251.147.82 user=test password=test'::text, 'select 
kod,nazev,orp_kod,spravni_obec_kod,plati_od,plati_do,datum_vzniku from ui_pou'::text) t(
  kod integer,
  nazev text,
  orp_kod integer,
  spravni_obec_kod integer,
  plati_od date,
  plati_do date,
  datum_vzniku date);


-- Pridani primaniho klice
alter table ui_orp add constraint pk_ui_orp primary key (kod);
-- Pridani unique sloupce
alter table ui_orp add constraint uk_ui_orp unique (nazev);
-- Pridani not null
alter table ui_orp alter column nazev set not null;
alter table ui_orp alter column orp_kod set not null;
alter table ui_orp alter column spravni_obec_kod set not null;
alter table ui_orp alter column plati_od set not null;
alter table ui_orp alter column datum_vzniku set not null;