﻿-- ===================================================
--  Ukázka zpřístupnění CSV souboru přes foreign table
-- ===================================================


/*
-- =================
-- pouze superuser
-- =================

-- Zpřístupnění extenze a vytvoření serveru

create extension file_fdw;
CREATE SERVER file_server FOREIGN DATA WRAPPER file_fdw;
grant all on foreign server file_server to public;

-- drop foreign table ui_obec;

-- Vytvoření cizí tabulky 
create foreign table ui_obec (
kod text,
nazev text,
status_kod text,
pou_kod text,
okres_kod text,
cleneni_sm_rozsah_kod text,
cleneni_sm_typ_kod text,
plati_od text,
plati_do text,
datum_vzniku text
) SERVER file_server
OPTIONS (format 'csv',header 'true',filename '/home/salko/import/ui_obec.csv', delimiter ';', null '');

grant all on ui_obec to public;

*/
-- Propagace dat přes SQL
select * from ui_obec;
